import { Oracle, Participant } from './types';
import Convict from 'convict';
import SDKStandardComponents from '@mojaloop/sdk-standard-components';
export interface GlobalConfig {
    currency: SDKStandardComponents.TCurrency;
    urls: {
        fspiop: string | null;
        alsEndpoint: string | null;
        alsAdmin: string;
        centralLedgerAdmin: string;
    };
    applicationUrls: {
        oracle: string;
    };
    oracles?: Array<Oracle>;
    participants: Array<Participant>;
}
export declare const ConvictConfig: Convict.Config<GlobalConfig>;
export declare function loadFromFile(filePath: string): GlobalConfig;
