export declare enum RunResultType {
    SUCCESS = "SUCCESS",
    FAILURE = "FAILURE"
}
export declare type RunResult = SuccessResult | FailureResult;
export interface SuccessResult {
    type: RunResultType.SUCCESS;
    warnings: Array<string>;
}
export interface FailureResult {
    type: RunResultType.FAILURE;
    warnings: Array<string>;
    errors: Array<Error>;
}
export declare class Result {
    static Success(warnings?: Array<string>): SuccessResult;
    static Failure(errors: Array<Error>, warnings?: Array<string>): FailureResult;
}
